Bug 975012 - Change the pg_dump to work with sql format
Change the pg_dump to work with sql format
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-log-collector (Show other bugs)
3.3.0
x86_64 Linux
high Severity high
: ---
: 3.2.2
Assigned To: Sandro Bonazzola
Pavel Stehlik
integration
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-17 07:59 EDT by Kiril Nesenko
Modified: 2015-09-22 09 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-19 10:58:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 15796 None None None Never

  None (edit)
Description Kiril Nesenko 2013-06-17 07:59:11 EDT
Description of problem:
Today we are using pg_dump with "-F t" and it very hard after to restore the DB.
Moving the the sql format will make the restore process easier.

Version-Release number of selected component (if applicable):
rhevm-log-collector-3.2.2-2.el6ev

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Keith Robertson 2013-06-19 10:58:42 EDT
Changing the format of the dumped DB from TAR to TXT is not advised as it will break existing automation. Further, in most cases TAR is preferable to TXT as it offers more options for import in pg_restore.

Note You need to log in before you can comment on or make changes to this bug.